<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("fecha"=>$_POST["fecha"],"tipo_gasto_idtipo_gasto"=>$_POST["tipo_gasto_idtipo_gasto"],"proveedores_idproveedores"=>$_POST["proveedores_idproveedores"],"cantidad"=>$_POST["cantidad"],"unidadmedia_idunidadmedia"=>$_POST["unidadmedia_idunidadmedia"],"valor"=>$_POST["valor"],"descripcion"=>$_POST["descripcion"],);
  
  
  
   
    $in = $db->insert("gasto",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("gasto","idgasto",$_GET["id"]);
    break;
  case "up":
   $data = array("fecha"=>$_POST["fecha"],"tipo_gasto_idtipo_gasto"=>$_POST["tipo_gasto_idtipo_gasto"],"proveedores_idproveedores"=>$_POST["proveedores_idproveedores"],"cantidad"=>$_POST["cantidad"],"unidadmedia_idunidadmedia"=>$_POST["unidadmedia_idunidadmedia"],"valor"=>$_POST["valor"],"descripcion"=>$_POST["descripcion"],);
   
   
   

    
    $up = $db->update("gasto",$data,"idgasto",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>